*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}
body{
    background-color: hsl(217, 100%, 97%);
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.main_container{
    display: flex;
    width: 55%;
    margin: 8rem auto;
    height: 30rem;
    background-color: white;
    border-radius: 0.4rem;
}


.main_left_container{
    width: 28%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.left_container{
    height: 95%;
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: white;
    background: url(../../assets/images/bg-sidebar-desktop.svg);
    background-position: center;
    background-size: cover;
}
.steps{
    display: flex;
    margin: 1rem;

    .count{
        width: 2rem;
        height: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 2px solid hsl(0, 0%, 100%);
        border-radius: 30rem;

    }
    #active{
        background-color: hsl(206, 94%, 87%);
        color: hsl(213, 96%, 18%);
        border: none;
    }
}
.step_information {
    display: flex;
    flex-direction: column;
    margin: 0 1rem;

    .step_count{
        font-size: 0.7rem;
        color:  hsl(229, 24%, 87%);
    }
}


.main_right_container{
    width: 72%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.right_container{
    width: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 90%;

    .heading {
        h1{
            margin: 0.8rem 0;
            font-weight: 700;
        }
        h4{
            font-weight: 400;
            color: hsl(231, 11%, 63%);
        }
    }
}

.add_on_container{
    display: flex;
    flex-direction: column;
}
.card{
    border: 0.2rem solid hsl(231, 11%, 63%);
    border-radius: 0.2rem;
}


.card {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.7rem;
    margin: 0.35rem;
    border: 0.01rem solid hsl(231, 11%, 63%);
}
.left_add_on{
    width: 70%;
    display: flex;
    align-items: center;
    
    .features{
        margin-left: 10%; 
        
    }
}
.feature_price{
    color: hsl(243, 100%, 62%);
    font-size: 0.8rem;
}

.card.active{
    background-color: hsl(217, 100%, 97%); 
    border: 0.1rem solid hsl(243, 100%, 62%);;
}
.card:hover{
    border: 0.1rem solid hsl(243, 100%, 62%);;
    cursor: pointer;
}



#btn_forward_page3{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    background-color: hsl(213, 96%, 18%);
    color: #FFFFFF;
}
#btn_backward_page3{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    color: hsl(231, 11%, 63%);
}
a{
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
.next_step_btn{
    display: flex;
    
    flex-direction: row;
    justify-content: space-between;
}

@media (max-width: 900px){
    .main_container {
        width: 90%;
    }
}

@media (max-width: 550px) {
    .main_container{
        flex-direction: column;
        width: 100%;
        margin: 0;
        height: 40rem;
    }

    .main_left_container{
        width: 100%;
        
    }
    .left_container{
        width: 100%;
        flex-direction: row;
        justify-content: center;
        height: 8rem;
        background: url('../../assets/images/bg-sidebar-mobile.svg');
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        .step_information{
            display: none;
        }
    }

    .main_right_container{
        width: 100%;
        background-color: hsl(217, 100%, 97%);;
        height: 70%;
    }
    body{

        background-color: white;
        position: relative;
    }

    .right_container{
        
        height: 95%;
        background-color: #FFFFFF;
        align-items: center;
        border-radius: 1rem;
        margin-top: -32%; 
        justify-content: space-around;
        align-items: center;
        .heading{
            width: 90%;
        }

        .add_on_container{
            width: 90%;
            padding: 1rem;
            align-items: center;
        }


        .toggle_container{
            width: 100%;
            margin: 0;
            margin-top: 3rem;
        }

        

        .next_step_btn{
            position: absolute;
            width: 90%;
            bottom : 0.9rem;
        }
    }
}